Subject: [Cfrg] minor suggestion for draft-irtf-cfrg-cipher-catalog

From: "Eggert, Lars" <[email-masked]>
Date: Mon, 9 Jul 2012 14:56:09 +0000

Hi,

I took a quick look at draft-irtf-cfrg-cipher-catalog and have some minor suggestions:

- When you say "Intellectual Property Rights have been claimed" on a given cipher, what exactly does that mean? Does that mean that an IPR disclosure has been filed with the IETF, or did you do a broader patent search beyond what is in the IETF IPR disclosure database? Likewise, when you say that IPR "has not been claimed", does that mean there is no IETF disclosure, or did you do any further search?

- Related to that, when you state "The owner of those rights is XYZ", I'm wondering if what you mean is "the IPR disclosure to the IETF has been filed by XYZ". Or have you done any further research into who actually owns the IPR? (IPR gets bought and sold, for example.)

For both of these, I think it would be good to be very clear what you mean.

Then, there is a third unrelated suggestion:

- When you say that a cipher is used by IETF IDs or RRCs, I wonder if it would be useful to actually cite the relevant documents, or if this would make your already very long bibliography explode.

Lars